Bug 183818 - [Web Animations] Make imported/mozilla/css-animations/test_pseudoElement-get-animations.html pass reliably
Summary: [Web Animations] Make imported/mozilla/css-animations/test_pseudoElement-get-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-03-21 08:34 PDT by Antoine Quint
Modified: 2018-06-20 00:07 PDT (History)
8 users (show)

See Also:


Attachments
Patch (17.95 KB, patch)
2018-06-19 08:26 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (18.04 KB, patch)
2018-06-19 09:31 PDT, Antoine Quint
dino: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (12.75 MB, application/zip)
2018-06-19 12:38 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2018-03-21 08:34:24 PDT
The new tests added under imported/mozilla/css-animations and imported/mozilla/css-transitions are mostly failing reliably, flaky or timing out.
Comment 1 Radar WebKit Bug Importer 2018-06-11 02:17:48 PDT
<rdar://problem/40997015>
Comment 2 Antoine Quint 2018-06-19 08:26:24 PDT
Created attachment 343056 [details]
Patch
Comment 3 Antoine Quint 2018-06-19 09:31:28 PDT
Created attachment 343062 [details]
Patch
Comment 4 Build Bot 2018-06-19 12:38:47 PDT
Comment on attachment 343062 [details]
Patch

Attachment 343062 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8250507

New failing tests:
imported/mozilla/css-animations/test_pseudoElement-get-animations.html
Comment 5 Build Bot 2018-06-19 12:38:59 PDT
Created attachment 343081 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 6 Dean Jackson 2018-06-19 13:20:14 PDT
Comment on attachment 343062 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=343062&action=review

> Source/WebCore/animation/AnimationTimeline.cpp:145
> +Vector<RefPtr<WebAnimation>> AnimationTimeline::animationsForElement(Element& element, bool sorted) const

Use a enum class Ordering::Sorted Ordering::Unsorted rather than a bool parameter

> Source/WebCore/animation/AnimationTimeline.cpp:160
> +                if (lhsTransition->generationTime() == rhsTransition->generationTime())
> +                    return lhsTransition->transitionProperty().utf8() < rhsTransition->transitionProperty().utf8();
> +                return lhsTransition->generationTime() < rhsTransition->generationTime();

Make the logic here match the comment

if (l->genTime != r->genTime)
  return l->genTime < r->genTime;

return l->prop < r->prop
Comment 7 Antoine Quint 2018-06-20 00:07:09 PDT
(In reply to Dean Jackson from comment #6)
> Comment on attachment 343062 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=343062&action=review
> 
> > Source/WebCore/animation/AnimationTimeline.cpp:145
> > +Vector<RefPtr<WebAnimation>> AnimationTimeline::animationsForElement(Element& element, bool sorted) const
> 
> Use a enum class Ordering::Sorted Ordering::Unsorted rather than a bool
> parameter
> 
> > Source/WebCore/animation/AnimationTimeline.cpp:160
> > +                if (lhsTransition->generationTime() == rhsTransition->generationTime())
> > +                    return lhsTransition->transitionProperty().utf8() < rhsTransition->transitionProperty().utf8();
> > +                return lhsTransition->generationTime() < rhsTransition->generationTime();
> 
> Make the logic here match the comment
> 
> if (l->genTime != r->genTime)
>   return l->genTime < r->genTime;
> 
> return l->prop < r->prop

Thanks for the feedback, will address both in the commit.
Comment 8 Antoine Quint 2018-06-20 00:07:46 PDT
Committed r233004: <https://trac.webkit.org/changeset/233004>